Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.print
Class PrintComponent

    java.lang.Object
      com.tonbeller.wcf.component.ComponentSupport
          com.tonbeller.jpivot.print.PrintComponent

All Implemented Interfaces:
  com.tonbeller.wcf.bookmarks.Bookmarkable, com.tonbeller.wcf.component.Component, com.tonbeller.wcf.component.Form, com.tonbeller.wcf.component.FormListener, com.tonbeller.wcf.component.LifeCycle, com.tonbeller.wcf.component.Renderable, com.tonbeller.wcf.component.RoleExprHolder, com.tonbeller.wcf.component.Visible, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

    public class PrintComponent

extends com.tonbeller.wcf.component.ComponentSupport

Author:
  Ati

Field Summary
`java.lang.String` | `PRINT_CHART_PAGEBREAK`
`java.lang.String` | `PRINT_PAGE_HEIGHT`
`java.lang.String` | `PRINT_PAGE_ORIENTATION`
`java.lang.String` | `PRINT_PAGE_WIDTH`
`java.lang.String` | `PRINT_PAPER_TYPE`
`java.lang.String` | `PRINT_TABLE_WIDTH`
`java.lang.String` | `PRINT_TITLE`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`PrintComponent(java.lang.String id, com.tonbeller.wcf.controller.RequestContext context)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`double` | `getPageHeight()` Getter for property pageHeight.
`java.lang.String` | `getPageOrientation()` Getter for property pageOrientation.
`double` | `getPageWidth()` Getter for property pageWidth.
`java.lang.String` | `getPaperType()` Getter for property paperType.
`java.lang.String` | `getReportTitle()` Getter for property reportTitle.
`double` | `getTableWidth()` Getter for property tableWidth.
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context)` called once by the creating tag
`boolean` | `isChartPageBreak()` Getter for property chartPageBreak.
`boolean` | `isSetPageWidth()` Getter for property setPageWidth.
`boolean` | `isSetTableWidth()` Getter for property setTableWidth.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`org.w3c.dom.Document` | `render(com.tonbeller.wcf.controller.RequestContext context)`
`void` | `setChartPageBreak(boolean chartPageBreak)` Setter for property chartPageBreak.
`void` | `setPageHeight(double pageHeight)` Setter for property pageHeight.
`void` | `setPageOrientation(java.lang.String pageOrientation)` Setter for property pageOrientation.
`void` | `setPageWidth(double pageWidth)` Setter for property pageWidth.
`void` | `setPaperType(java.lang.String paperType)` Setter for property paperType.
`void` | `setReportTitle(java.lang.String reportTitle)` Setter for property reportTitle.
`void` | `setSetPageWidth(boolean setPageWidth)` Setter for property setPageWidth.
`void` | `setSetTableWidth(boolean setTableWidth)` Setter for property setTableWidth.
`void` | `setTableWidth(double tableWidth)` Setter for property tableWidth.

Methods inherited from class com.tonbeller.wcf.component.ComponentSupport
`addFormListener, destroy, getBookmarkState, getDispatcher, getForm, getId, getLocale, getNextView, getParent, getRoleExpr, isAutoValidate, isListeningTo, isVisible, removeFormListener, request, revert, setAutoValidate, setBookmarkState, setId, setNextView, setParent, setRoleExpr, setVisible, validate, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRINT_PAGE_WIDTH

    public final java.lang.String PRINT_PAGE_WIDTH

See Also:
  Constant Field Values

### PRINT_PAPER_TYPE

    public final java.lang.String PRINT_PAPER_TYPE

See Also:
  Constant Field Values

### PRINT_PAGE_ORIENTATION

    public final java.lang.String PRINT_PAGE_ORIENTATION

See Also:
  Constant Field Values

### PRINT_TABLE_WIDTH

    public final java.lang.String PRINT_TABLE_WIDTH

See Also:
  Constant Field Values

### PRINT_PAGE_HEIGHT

    public final java.lang.String PRINT_PAGE_HEIGHT

See Also:
  Constant Field Values

### PRINT_TITLE

    public final java.lang.String PRINT_TITLE

See Also:
  Constant Field Values

### PRINT_CHART_PAGEBREAK

    public final java.lang.String PRINT_CHART_PAGEBREAK

See Also:
  Constant Field Values

Constructor Detail

### PrintComponent

    public PrintComponent(java.lang.String id,
                          com.tonbeller.wcf.controller.RequestContext context)

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context)
                    throws java.lang.Exception

  called once by the creating tag

  Specified by:
    `initialize` in interface `com.tonbeller.wcf.component.LifeCycle`
  Overrides:
    `initialize` in class `com.tonbeller.wcf.component.ComponentSupport`
  Throws:
    `java.lang.Exception`

### getReportTitle

    public java.lang.String getReportTitle()

  Getter for property reportTitle.

  Returns:
    Value of property reportTitle.

### setReportTitle

    public void setReportTitle(java.lang.String reportTitle)

  Setter for property reportTitle.

  Parameters:
    `reportTitle` - New value of property reportTitle.

### render

    public org.w3c.dom.Document render(com.tonbeller.wcf.controller.RequestContext context)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isSetPageWidth

    public boolean isSetPageWidth()

  Getter for property setPageWidth.

  Returns:
    Value of property setPageWidth.

### setSetPageWidth

    public void setSetPageWidth(boolean setPageWidth)

  Setter for property setPageWidth.

  Parameters:
    `setPageWidth` - New value of property setPageWidth.

### getPageWidth

    public double getPageWidth()

  Getter for property pageWidth.

  Returns:
    Value of property pageWidth.

### setPageWidth

    public void setPageWidth(double pageWidth)

  Setter for property pageWidth.

  Parameters:
    `pageWidth` - New value of property pageWidth.

### getPageOrientation

    public java.lang.String getPageOrientation()

  Getter for property pageOrientation.

  Returns:
    Value of property pageOrientation.

### setPageOrientation

    public void setPageOrientation(java.lang.String pageOrientation)

  Setter for property pageOrientation.

  Parameters:
    `pageOrientation` - New value of property pageOrientation.

### getPaperType

    public java.lang.String getPaperType()

  Getter for property paperType.

  Returns:
    Value of property paperType.

### setPaperType

    public void setPaperType(java.lang.String paperType)

  Setter for property paperType.

  Parameters:
    `paperType` - New value of property paperType.

### isSetTableWidth

    public boolean isSetTableWidth()

  Getter for property setTableWidth.

  Returns:
    Value of property setTableWidth.

### setSetTableWidth

    public void setSetTableWidth(boolean setTableWidth)

  Setter for property setTableWidth.

  Parameters:
    `setTableWidth` - New value of property setTableWidth.

### isChartPageBreak

    public boolean isChartPageBreak()

  Getter for property chartPageBreak.

  Returns:
    Value of property chartPageBreak.

### setChartPageBreak

    public void setChartPageBreak(boolean chartPageBreak)

  Setter for property chartPageBreak.

  Parameters:
    `chartPageBreak` - New value of property chartPageBreak.

### getPageHeight

    public double getPageHeight()

  Getter for property pageHeight.

  Returns:
    Value of property pageHeight.

### setPageHeight

    public void setPageHeight(double pageHeight)

  Setter for property pageHeight.

  Parameters:
    `pageHeight` - New value of property pageHeight.

### getTableWidth

    public double getTableWidth()

  Getter for property tableWidth.

  Returns:
    Value of property tableWidth.

### setTableWidth

    public void setTableWidth(double tableWidth)

  Setter for property tableWidth.

  Parameters:
    `tableWidth` - New value of property tableWidth.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD